# NAME

git-annex get - make content of annexed files available

# SYNOPSIS

git annex get `[path ...]`

# DESCRIPTION

Makes the content of annexed files available in this repository. This
will involve copying them from a remote repository, or downloading them,
or transferring them from some kind of key-value store.

# OPTIONS

* `--auto`

  Rather than getting all files, get only files that don't yet have
  the desired number of copies, or that are preferred content of the
  repository. See [[git-annex-preferred-content]](1)

* `--from=remote`

  Normally git-annex will choose which remotes to get the content
  from. Use this option to specify which remote to use. 
  
  Any files that are not available on the remote will be silently skipped.

* `--jobs=N` `-JN`

  Enables parallel download with up to the specified number of jobs
  running at once. For example: `-J10`

* `--incomplete`

  Resume any incomplete downloads of files that were started and
  interrupted at some point previously. Useful to pick up where you left
  off ... when you don't quite remember where that was.

  These incomplete files are the same ones that are
  listed as unused temp files by [[git-annex-unused]](1).

  Note that the git-annex key will be displayed when downloading,
  as git-annex does not know the associated file, and the associated file
  may not even be in the current git working directory.

* `--all`

  Rather than specifying a filename or path to get, this option can be
  used to get all available versions of all files.

  This is the default behavior when running git-annex in a bare repository.

* `--unused`

  Operate on files found by last run of git-annex unused.

* `--key=keyname`

  Use this option to get a specified key.

* file matching options
 
  The [[git-annex-matching-options]](1)
  can be used to specify files to get.

# SEE ALSO

[[git-annex]](1)

[[git-annex-drop]](1)

[[git-annex-copy]](1)

[[git-annex-move]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
